%define oname   Ascii85

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 2
Summary:    Provides methods for encoding/decoding Adobe's binary-to-text encoding
Group:      Development/Ruby
License:    MIT
URL:        http://ascii85.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 2.4.0
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Ascii85 is a simple gem that provides methods for encoding/decoding Adobe's
binary-to-text encoding of the same name.
See http://www.adobe.com/products/postscript/pdfs/PLRM.pdf page 131 and
http://en.wikipedia.org/wiki/Ascii85 for more information about the format.

%files
%defattr(-, root, root, -)
%{_bindir}/ascii85
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Tue Jan 25 2011 shikamaru <shikamaru> 1.0.0-2.mga1
+ Revision: 39581
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 1.0.0-1.mga1
+ Revision: 37830
- imported package ruby-Ascii85


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.0-1mdv2011.0
- Initial package
